Create order
Create an order of products. Orders have to be confirmed before they are fully completed.
Notes
- Relograde API only allows order to be paid by balance.
- Currency codes follow
ISO 4217standard - Codes shown in example have been altered and made invalid
- Price information may have been altered in the documentation
- Make sure your wallet holds enough balance in the selected currency before confirming the order.
Authorization
bearerAuth Add your API key here
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
text/plain
text/plain
curl -X POST "https://connect.relograde.com/api/1.03/order" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "productSlug": "rewarble-ww-eur-5", "amount": 1 } ], "paymentCurrency": "eur" }'{ "trx": "RELO0TFQK8FXQXSPURS", "priceCurrency": "EUR", "priceAmount": 58.14, "priceVat": 0.23, "priceInclVat": 58.37, "dateCreated": "2025-01-24T11:30:20Z", "paymentStatus": "paid", "type": "api", "reference": "test", "state": "sandbox", "orderStatus": "created", "isBalancePayment": true, "items": [ { "product": { "slug": "amazon-gb-gbp-10", "name": "Amazon.co.uk 10 GBP", "brand": "amazon", "productType": "topup", "region": "ww", "faceValueAmount": 10, "faceValueCurrency": "gbp", "faceValueMin": 5, "faceValueMax": 500, "mainCategory": "giftcard", "redeemType": "service", "isStocked": true }, "amount": 1, "priceCurrency": "eur", "singlePriceAmount": 5.13, "totalPriceAmount": 5.13, "totalPriceVat": 0.03, "totalPriceInclVat": 5.16, "paymentCurrency": "eur", "singlePriceAmountInPaymentCurrency": 5.13, "totalPriceAmountInPaymentCurrency": 5.13, "totalPriceVatInPaymentCurrency": 0.03, "totalPriceInclVatInPaymentCurrency": 5.16, "orderLines": [ { "tag": "TAG-aa440cf5-56c3-44b8-a3b6-10338e527687", "dateCreated": "2025-01-24T11:30:20Z", "brandSlug": "rewarble", "productSlug": "rewarble-ww-eur-5", "productRegion": "ww", "productFacevalueAmount": 5, "productFacevalueCurrency": "eur", "priceAmount": 5.13, "priceCurrency": "eur", "priceVatAmount": 0.03, "priceInclVat": 5.16, "paymentCurrency": "eur", "priceAmountInPaymentCurrency": 5.13, "priceVatAmountInPaymentCurrency": 0.03, "priceInclVatInPaymentCurrency": 5.16, "status": "string", "voucherCode": "string", "voucherSerial": "string", "voucherUrl": "string", "voucherDateExpired": "2019-08-24T14:15:22Z", "token": "6932374Mzsb28kxEzIKCxhgnoHrlUfYEBQt", "redemptionLink": "https://reward.relograde.com/6932374Mzsb28kxEzIKCxhgnoHrlUfYEBQt" } ], "linesCompleted": 1, "productSlug": "rewarble-ww-eur-5", "faceValueAmount": 5, "faceValueCurrency": "eur" } ]}Company is not active
"company not active"One or more offers are not available
"Some offers not available: `offerNames`"Find All Orders GET
Retrieve all orders of an entity. With pagination and filtering options.
Resolve order PATCH
Confirm an order after creation using the trx returned by the **Create order** endpoint. This endpoint will either return an order with the status `finished` or it will cancel the order if the order cannot be finished within 20-30 seconds. If the order is allowed to be delivered at a later time, it is suggested to use the **Confirm order** endpoint